Subject: bug#27371: 26.0.50; Unexpected element (define-type . tramp-file-name) in load-history

From: Michael Albinus <[email-masked]>
Date: Tue, 18 Jul 2017 09:09:55 +0200

Stefan Monnier <[email-masked]> writes:

>> However, it just skips the entry. Wouldn't it be better to remove the
>> defstruct itself, and all inherited symbols? And where could I find
>> information how to destroy a defstruct?
>
> Better would be to add some hook so cl-lib can add support for
> define-type.

Likely yes. But I'm not familiar with cl*; I have no idea how such a
hook should look like. And how it shall be implemented.

>         Stefan

Best regards, Michael.